%{!?ruby_sitelib: %define ruby_sitelib %(ruby -rrbconfig  -e 'puts Config::CONFIG["sitelibdir"]')}
%{!?ruby_sitearch: %define ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')}
%define has_ruby_abi 0%{?fedora:%fedora} >= 5 || 0%{?rhel:%rhel} >= 5
%define debug_package %{nil}

Name:           ruby-qpid
Version:        0.7.946106
Release:        2%{?dist}
Summary:        Ruby language client for AMQP

Group:          Development/Ruby
License:        ASL 2.0
URL:            http://qpid.apache.org/
Source0:        %{name}-%{version}.tar.gz
# svn export http://svn.apache.org/repos/asf/incubator/qpid/trunk/qpid/ruby \
#  ruby-qpid
# tar czf ruby-qpid.tar.gz ruby-qpid
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ruby
BuildRequires:  ruby-devel
BuildRequires:	cyrus-sasl-devel

Requires:       ruby
%if %has_ruby_abi
Requires:       ruby(abi) = 1.8
%endif

Provides:       ruby(qpid) = %{version}

%description
The Apache Qpid project's Ruby language client for AMQP.

%prep
%setup -q

%build
make build

%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}%{ruby_sitelib}/qpid
install -pm 644 lib/qpid/*.rb %{buildroot}%{ruby_sitelib}/qpid
install -dm 755 %{buildroot}%{ruby_sitearch}
install -dm 755 %{buildroot}%{ruby_sitelib}/qpid/spec_cache
install -pm 644 lib/qpid/spec_cache/*.rb_marshal %{buildroot}%{ruby_sitelib}/qpid/spec_cache
install -dm 755 %{buildroot}%{ruby_sitelib}/qpid/specs
install -pm 644 lib/qpid/specs/*.xml %{buildroot}%{ruby_sitelib}/qpid/specs
install -pm 644 lib/qpid.rb %{buildroot}%{ruby_sitelib}
install -pm 755 ext/sasl/sasl.so %{buildroot}%{ruby_sitearch}
# to quiet rpmlint warning
chmod -x LICENSE.txt
rm -rf specs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{ruby_sitelib}/qpid
%{ruby_sitelib}/qpid.rb
%{ruby_sitearch}/sasl.so
%doc LICENSE.txt NOTICE.txt RELEASE_NOTES

%changelog
* Thu Jun  3 2010 Nuno Santos <nsantos@nsantos-redhat.com> - 0.7.946106-2
- Resolves: rhbz598548

* Wed May 19 2010 Nuno Santos <nsantos@redhat.com> - 0.7.946106-1
- Rebased to svn rev 946106
- Related: rhbz574881

* Mon Apr 19 2010 Andrew Stitcher <astitcher@redhat.com> - 0.7.935473
- Rebased to svn trunk rev 935473

* Wed Feb 3 2010 Andrew Stitcher <astitcher@redhat.com> - 0.7-904654-1
- Rebased to svn rev 904654

* Tue Mar 10 2009 Justin Ross <jross@redhat.com> - 0.4.749380-2
- Remove spurious runtime dep on cyrus-sasl-devel

* Mon Mar  2 2009 Justin Ross <jross@redhat.com> - 0.4.749380-1
- Rebase to svn rev 749380
- Use makefile to build instead of rake

* Fri Feb 27 2009 Justin Ross <jross@redhat.com> - 0.4.748689-1
- Rebase to svn rev 748689
- Update for revised source tarball layout

* Thu Feb  5 2009 Nuno Santos <nsantos@redhat.com> - 0.4.738618-2
- Install SASL support extension

* Thu Jan 29 2009 Nuno Santos <nsantos@redhat.com> - 0.4.738618-1
- Rebased to svn rev 738618

* Wed Dec 10 2008 Andrew Stitcher <astitcher@redhat.com> - 0.3.725356-1
- Updated spec file to work with RHEL 4 and earlier Fedora versions

* Mon Dec  1 2008 Andrew Stitcher <astitcher@redhat.com> - 0.3.722126-1
- Changed version numbering to fit other qpid packages
- Added release notes to doc directory

* Fri Nov 14 2008 Rafael Schloming <rafaels@redhat.com> - 0.2-1
- Updated to work with qpid M4.

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.1-2
- fix license tag

* Thu Mar 22 2007 Rafael Schloming <rafaels@redhat.com> - 0.1-1
- Initial build
- Comply with Fedora packaging guidelines
